Stock Configuration
Endpoints to create, update, and read stocks configuration.
Requested Inventory Configuration
InventoryConfiguration
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"isMixedStorage": true,
"version": 1
}InventoryConfigurationForPatch
trueRequested Inventory Configuration
InventoryConfiguration
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PATCH /api/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"isMixedStorage": true,
"version": 1
}{
"isMixedStorage": true,
"version": 1
}Read current stock configuration
StockConfiguration config found.
This part of the API is deprecated. For details, see the API release lifecycle documentation.
@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig
trueExample: trueThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"version": 42,
"expectedStock": {
"generateFromRoutingPlan": false
},
"inboundProcess": {
"generateFromInterfacilityTransfer": true
},
"reservedStock": {
"clearStocksAndReservationsTrigger": [
{
"completionEntity": "HANDOVERJOB"
}
]
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}Update stock configuration
Stock configuration data for updates
This part of the API is deprecated. For details, see the API release lifecycle documentation.
@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig
trueExample: trueVersion of the documentSet you want to update a document of
42The stockConfiguration was successfully created.
This part of the API is deprecated. For details, see the API release lifecycle documentation.
@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig
trueExample: trueThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZInvalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"version": 42,
"expectedStock": {
"generateFromRoutingPlan": false
},
"inboundProcess": {
"generateFromInterfacilityTransfer": true
},
"reservedStock": {
"clearStocksAndReservationsTrigger": [
{
"completionEntity": "HANDOVERJOB"
}
]
}
}{
"id": "text",
"version": 42,
"expectedStock": {
"generateFromRoutingPlan": false
},
"inboundProcess": {
"generateFromInterfacilityTransfer": true
},
"reservedStock": {
"clearStocksAndReservationsTrigger": [
{
"completionEntity": "HANDOVERJOB"
}
]
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get external stock change reasons
List of external stock change reasons
ExternalStockChangeReason
Whether the reason is active
trueDate of creation
The custom attributes of this external stock change reason
Id of the external stock change reason
5aa18b4d-45de-4e9e-92db-936288040272Date of last modification
Identifier of the stock change reason
F12Version of the external stock change reason
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/externalstockchangereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"tenantReasonId": "F12",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Post external stock change reason.
ExternalStockChangeReasonForCreation
Whether the reason is active
trueThe custom attributes of this external stock change reason
Identifier of the stock change reason
F12The created external stock change reason
ExternalStockChangeReason
Whether the reason is active
trueDate of creation
The custom attributes of this external stock change reason
Id of the external stock change reason
5aa18b4d-45de-4e9e-92db-936288040272Date of last modification
Identifier of the stock change reason
F12Version of the external stock change reason
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/externalstockchangereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"customAttributes": {},
"tenantReasonId": "F12"
}{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"tenantReasonId": "F12",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get external stock change reason.
The external stock change reason
ExternalStockChangeReason
Whether the reason is active
trueDate of creation
The custom attributes of this external stock change reason
Id of the external stock change reason
5aa18b4d-45de-4e9e-92db-936288040272Date of last modification
Identifier of the stock change reason
F12Version of the external stock change reason
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/externalstockchangereasons/{externalStockChangeReasonId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"tenantReasonId": "F12",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update external stock change reason.
ExternalStockChangeReasonForUpdate
Whether the reason is active
trueThe custom attributes of this external stock change reason
Id of the external stock change reason
5aa18b4d-45de-4e9e-92db-936288040272Version of the external stock change reason
1The updated external stock change reason
ExternalStockChangeReason
Whether the reason is active
trueDate of creation
The custom attributes of this external stock change reason
Id of the external stock change reason
5aa18b4d-45de-4e9e-92db-936288040272Date of last modification
Identifier of the stock change reason
F12Version of the external stock change reason
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/externalstockchangereasons/{externalStockChangeReasonId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 144
{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"customAttributes": {},
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"version": 1
}{
"reasonLocalized": {
"de_DE": "FUND",
"en_US": "FOUND"
},
"active": true,
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"id": "5aa18b4d-45de-4e9e-92db-936288040272",
"lastModified": "2026-01-01T00:00:00.000Z",
"tenantReasonId": "F12",
"version": 1
}Get the Inventory Configuration for a specific Facility.
ID of the facility you want to get the config for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}) for the path parameter facilityId.
Requested Inventory Facility Configuration
InventoryFacilityConfiguration
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/facilities/{facilityId}/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"facilityRef": "text",
"id": "text",
"isMixedStorage": true,
"outboundStockConfiguration": {
"clearTrigger": [
{
"event": "pick-job-closed_event-v1",
"tagFilter": [
{
"allowedValues": [
"text"
],
"tagId": "text"
}
]
}
],
"locationRef": "text",
"trackOutboundStock": true
},
"version": 1
}This endpoint allows you to update the inventory configuration for a specific facility. It is used to set or modify the inventory management settings at the facility level.
ID of the facility you want to set the config to. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}) for the path parameter facilityId.
InventoryFacilityConfigurationForPatch
trueRequested Inventory Facility Configuration
InventoryFacilityConfiguration
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PATCH /api/facilities/{facilityId}/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223
{
"isMixedStorage": true,
"outboundStockConfiguration": {
"clearTrigger": [
{
"event": "pick-job-closed_event-v1",
"tagFilter": [
{
"allowedValues": [
"text"
],
"tagId": "text"
}
]
}
],
"locationRef": "text",
"trackOutboundStock": true
},
"version": 1
}{
"facilityRef": "text",
"id": "text",
"isMixedStorage": true,
"outboundStockConfiguration": {
"clearTrigger": [
{
"event": "pick-job-closed_event-v1",
"tagFilter": [
{
"allowedValues": [
"text"
],
"tagId": "text"
}
]
}
],
"locationRef": "text",
"trackOutboundStock": true
},
"version": 1
}Get the stock configuration for a specific facility.
Configuration for stock routing was found.
FacilityStockConfiguration
Creation timestamp
The facility stock configuration ID (same as facility ID)
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modified timestamp
Document version for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/facilities/{facilityId}/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"shortpick": {
"active": true
},
"version": 1
}Update the stock configuration for a specific facility.
Facility was found & patch-set has been applied. The patched facility configuration is in the body.
FacilityStockConfiguration
Creation timestamp
The facility stock configuration ID (same as facility ID)
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modified timestamp
Document version for optimistic locking
1Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PATCH /api/facilities/{facilityId}/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"shortpick": {
"active": true
},
"version": 1
}Last updated
Was this helpful?

